<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}"
      lang="en">
<head>
    <meta charset="UTF-8">
    <title>Взять фильм на прокат</title>
<!--    <script src="../../static/js/form_validation_for_orders.js"></script>-->
</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3" th:text="'Аренда фильма  ' + ${film.getFilmTitle()}"></h3>
    <form class="needs-validation" novalidate style="max-width: 50vw" method="POST" th:action="@{/rent/film}" th:object="${rentFilmForm}">
        <input type="hidden" name="filmId"
               th:value="${film.getId()}">
        <div class="mt-3 row g-2">
            <div class="col-md">
                <div class="form-floating">
                    <input name="rentPeriod" type="number" class="form-control" id="rentPeriod" placeholder="Количество дней">
                    <label for="rentPeriod">Количество дней</label>
                </div>
            </div>
            <div class="col-md">
                <div class="form-floating">
                    <select class="form-select" name="purchase" id="purchase" required>
                    <option selected value="default">Выберете статус оплаты</option>
                    <option th:each="purchase : ${T(com.sber.java15.spring.springprojectvideorental_3.library.model.Purchase).values()}"
                            th:value="${purchase}" th:text="${purchase.getPurchaseTextDisplay()}"></option>
                    </select>
                    <label for="purchase">Оплачено?</label>
                    <div class="invalid-feedback">Обязательное поле для заполнения</div>
                </div>
            </div>
        </div>
        <div class="mt-3 row g-2">
            <button type="submit" class="btn btn-primary" onclick="validateForm_3()">Добавить</button>
            <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
        </div>
    </form>
</div>
</body>
</html>
